Loading...
Searching...
No Matches
caf::config_value_adaptor< Ts > Class Template Reference

Interfaces between a user-defined type and CAF config values by going through intermediate values. More...

`#include <config_value_adaptor.hpp>`

## Public Types

using | value_type = std::tuple<Ts...>
using | indices = typename detail::il_indices<value_type>::type
using | fields_tuple
using | array_type = std::array<config_value_field<value_type>*, sizeof...(Ts)>

## Public Member Functions

template<class U, class = detail::enable_if_t< !std::is_same<detail::decay_t<U>, config_value_adaptor>::value>, class... Us>
| config_value_adaptor (U &&x, Us &&... xs)
| config_value_adaptor (config_value_adaptor &&)=default
span< typename array_type::value_type > | fields ()

## Detailed Description

template<class... Ts>
class caf::config_value_adaptor< Ts >

Interfaces between a user-defined type and CAF config values by going through intermediate values.

## Member Typedef Documentation

## fields_tuple

template<class... Ts>

using caf::config_value_adaptor< Ts >::fields_tuple

Initial value:
typename detail::select_adaptor_fields<value_type,
indices>::type

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/config_value_adaptor.hpp